/**
   CommonTest.java

   Copyright (C) 2001, RTFM, Inc.
   All Rights Reserved.

   ekr@rtfm.com  Tue Jan  2 08:29:34 2001
*/



package COM.claymoresystems.ptls.test;

import COM.claymoresystems.cert.*;
import COM.claymoresystems.ptls.*;
import COM.claymoresystems.sslg.*;

class CommonTest {
     private static String keyfile="key.pem";
     private static String rootfile="root.pem";
     private static String randomfile="random.pem";
     private static String password="password";
     
     static SSLContext makeContext() throws Exception {
       SSLContext ctx=new SSLContext();
	 
       SSLPolicyInt policy=new SSLPolicyInt();
       
       ctx.setPolicy(policy);
       
       ctx.loadRootCertificates(rootfile);
       
       ctx.loadEAYKeyFile(keyfile,password);
       
       ctx.seedRNG(null);
       ctx.useRandomnessFile(randomfile,password);
       
       return ctx;
     }
}
